﻿@model GarageMaster.Models.AccountModels.RegisterModel

@{
    ViewData["Title"] = "Register";
}

<h1>Регистрация</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Register" asp-controller="Account" method="post" enctype="multipart/form-data">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Email" class="control-label"></label>
                <input asp-for="Email" class="form-control" />
                <span asp-validation-for="Email" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Surname" class="control-label"></label>
                <input asp-for="Surname" class="form-control" />
                <span asp-validation-for="Surname" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Name" class="control-label"></label>
                <input asp-for="Name" class="form-control" />
                <span asp-validation-for="Name" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="NickName" class="control-label"></label>
                <input asp-for="NickName" class="form-control" />
                <span asp-validation-for="NickName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="MobilePhone" class="control-label"></label>
                <input asp-for="MobilePhone" class="form-control" placeholder="+996000000000" />
                <span asp-validation-for="MobilePhone" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Password" class="control-label"></label>
                <input asp-for="Password" class="form-control" />
                <span asp-validation-for="Password" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="PasswordConfirm" class="control-label"></label>
                <input asp-for="PasswordConfirm" class="form-control" />
                <span asp-validation-for="PasswordConfirm" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <input class="form-check-input" type="checkbox" style="transform:scale(1.5);" asp-for="AgreementRules">
                <label class="form-check-label" asp-for="AgreementRules"></label>
                <span asp-validation-for="AgreementRules" class="text-danger"></span>
                <a asp-action="Index" asp-controller="Rule">Правила и условия пользования</a>
                
                @*<label asp-for="AgreementRules" class="control-label"></label>
                <input type="checkbox" asp-for="AgreementRules" class="form-control"/>
                <span asp-validation-for="AgreementRules" class="text-danger"></span>*@
            </div>
            <div class="form-group">
                <label asp-for="PhotoGet" class="control-label">Выбрать фото</label>
                <input asp-for="PhotoGet" type="file" />
                <span asp-validation-for="PhotoGet" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Зарегистрироваться" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

